Events children
GET https://analytics-info.com/api/events-children/
curl --request GET \
--url 'https://analytics-info.com/api/events-children/?website_id=1' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics-info.com/api/events-children/?website_id=1' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| website_id | Required Integer | |
| event_id | Optional Integer | |
| session_id | Optional Integer | |
| visitor_id | Optional Integer | |
| type | Optional String | Allowed values: click, scroll, resize, form |
| datetime_field | Optional String | Allowed values: date, expiration_date |
| datetime_start | Optional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional String | What field to order the results by. Allowed values are: id, event_id, session_id, visitor_id, type, count, expiration_date, date. |
| order_type | Optional String | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"event_id": 1,
"session_id": 1,
"visitor_id": 1,
"website_id": 1,
"type": "click",
"data": {
"text": "Button"
},
"count": 1,
"expiration_date": "2027-07-14",
"datetime": "2026-07-14 11:28:36"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://analytics-info.com/api/events-children?website_id=1&page=1",
"last": "https://analytics-info.com/api/events-children?website_id=1&page=1",
"next": null,
"prev": null,
"self": "https://analytics-info.com/api/events-children?website_id=1&page=1"
}
}
GET https://analytics-info.com/api/events-children/{id}
curl --request GET \
--url 'https://analytics-info.com/api/events-children/{id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics-info.com/api/events-children/{id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"event_id": 1,
"session_id": 1,
"visitor_id": 1,
"website_id": 1,
"type": "click",
"data": {
"text": "Button"
},
"count": 1,
"expiration_date": "2027-07-14",
"datetime": "2026-07-14 11:28:36"
}
}
DELETE https://analytics-info.com/api/events-children/{id}
curl --request DELETE \
--url 'https://analytics-info.com/api/events-children/{id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics-info.com/api/events-children/{id}' \
--header 'Authorization: Bearer {api_key}' \